Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiRasterImageEnumeration

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiRasterImageEnumeration

public class JimiRasterImageEnumeration
extends java.lang.Object

Typed wrapper to JimiImageEnumeration. Returns images as JimiRasterImages, converting if necessary.

Field Summary
`protected JimiImageEnumeration` | `enum`
`protected boolean` | `synchronous`

Constructor Summary
`JimiRasterImageEnumeration(JimiImageEnumeration enumeration)`
`JimiRasterImageEnumeration(JimiImageEnumeration enumeration, boolean synchronous)`

Method Summary
`int` | `countImages()` Get the number of images in the enumeration.
`JimiRasterImage` | `getNextImage()` Get the next JimiRasterImage in the series.
`boolean` | `hasMoreImages()` Check if there are more images in the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enum

    protected JimiImageEnumeration enum

### synchronous

    protected boolean synchronous

Constructor Detail

### JimiRasterImageEnumeration

    public JimiRasterImageEnumeration(JimiImageEnumeration enumeration)

### JimiRasterImageEnumeration

    public JimiRasterImageEnumeration(JimiImageEnumeration enumeration,
                                      boolean synchronous)

Method Detail

### getNextImage

    public JimiRasterImage getNextImage()
                                 throws JimiException

  Get the next JimiRasterImage in the series.
  Returns:
    the JimiRasterImage

### hasMoreImages

    public boolean hasMoreImages()

  Check if there are more images in the enumeration.
  Returns:
    true if getNextImage() can be used to access another image

### countImages

    public int countImages()

  Get the number of images in the enumeration. This may force some or all images to be decoded.
  Returns:
    the number of images

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD